#
# spec file for package nvclock
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2006-2009 Herbert Graeber
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nvclock
Version:        0.8_beta4
Release:        2.1
Summary:        An overclocking and tweaking tool for Nvidia cards
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://www.linuxhardware.org/nvclock/
Source0:        http://www.linuxhardware.org/nvclock/%{name}0.8b4.tar.bz2
Patch0:         nvclock-lib64.diff
Patch1:         nvclock-install.diff
Patch2:         nvclock-libs.patch
BuildRequires:  automake
BuildRequires:  gtk2-devel
BuildRequires:  qt3-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package qt
Summary:        An overclocking and tweaking tool for Nvidia cards
Group:          Hardware/Other

%package gtk
Summary:        An overclocking and tweaking tool for Nvidia cards
Group:          Hardware/Other

%description
Nvclock allows you to tweak your Nvidia card under Linux and FreeBSD. It features
overclocking, hardware monitoring, tweaking of OpenGL settings, and fan control.

%description qt
Nvclock allows you to tweak your Nvidia card under Linux and FreeBSD. It features
overclocking, hardware monitoring, tweaking of OpenGL settings, and fan control.

A Qt based gui for nvclock.

%description gtk
Nvclock allows you to tweak your Nvidia card under Linux and FreeBSD. It features
overclocking, hardware monitoring, tweaking of OpenGL settings, and fan control.

A GTK2 base gui for nvclock.

%prep

%setup -q -n nvclock0.8b4
%patch0
%patch1
%patch2 -p1

%build
autoreconf -fi
export PATH="%{_prefix}/lib/qt3/bin:$PATH"
export SUSE_ASNEEDED=0
%configure --prefix=%{_prefix} --mandir=%{_mandir} \
    --enable-qt --with-qt-includes=%{_prefix}/lib/qt3/include --with-qt-libs=%{_prefix}/lib/qt3/%{_lib} \
%if 0%{?suse_version} >= 1120
    --x-includes=%{_prefix}/X11R6/include/X11
%else
    --x-includes=%{_prefix}/X11R6/include/X11 --x-libraries=%{_prefix}/X11R6/%{_lib}
%endif
make

%install
%make_install
for dir in %{buildroot}%{_datadir}/icons/hicolor/*x*/apps; do
  cp $dir/nvclock.png $dir/nvclock_qt.png
done
%suse_update_desktop_file nvclock GTK System HardwareSettings
%suse_update_desktop_file -c nvclock-qt NVclock "NVIDIA Clock Tool" nvclock_qt nvclock_qt Qt System HardwareSettings

%files
%defattr(-,root,root,0755)
%doc %{_docdir}/nvclock
%{_bindir}/nvclock
%{_bindir}/smartdimmer
%{_mandir}/man1/nvclock.1%{ext_man}

%files qt
%defattr(-,root,root,0755)
%{_bindir}/nvclock_qt
%{_datadir}/applications/nvclock-qt.desktop
%{_datadir}/icons/hicolor/*x*/apps/nvclock_qt.png

%files gtk
%defattr(-,root,root,0755)
%{_bindir}/nvclock_gtk
%{_datadir}/applications/nvclock.desktop
%{_datadir}/icons/hicolor/*x*/apps/nvclock.png

%changelog
* Sat Feb  4 2017 aloisio@gmx.com
- Added nvclock-libs.patch to fix linking problemx
- Spec cleanup
* Sun Nov 14 2010 herbert@graeber-clan.de
- Disable link with as-needed
* Sat Nov 13 2010 herbert@graeber-clan.de
- Fix build for openSUSE >= 11.2
- put changelog into separate changes file
* Sat Nov 22 2008 herbert@graeber-clan.de
- make rpmlint happy
* Fri Nov 21 2008 herbert@graeber-clan.de
- fix desktop file problems
* Fri Mar  7 2008 herbert@graeber-clan.de
- Update to version 0.8b3a
- Use gtk icon for the qt UI too
* Tue Dec 26 2006 herbert@graeber-clan.de
- Moved to the SUSE Build Service
- Changed RPM naming scheme back to nvclock
* Mon Jul 31 2006 herbert@graeber-clan.de
- Update to version 0.8b2
- Changed RPM naming scheme to nvclock-beta
* Tue Apr 25 2006 herbert@graeber-clan.de
- Initial version
